UAQ(4)

NAME
uaq - Aquantia AQC111U/AQC112U 100/1Gb/2.5Gb/5Gb USB Ethernet device

SYNOPSIS
uaq* at uhub?

DESCRIPTION
The uaq driver provides support for USB Ethernet adapters based on the Aquantia AQC111U and AQC112U chipsets, including the following:

Aquantia AQtion USB to 5GbE Controller
ASIX USB 3.1 Gen1 to 5G Multi-Gigabit Ethernet Adapter
ASIX USB 3.1 Gen1 to 2.5G Multi-Gigabit Ethernet Adapter
TRENDnet TUC-ET5G USB-C 3.1 to 5GBASE-T Ethernet Adapter
QNAP QNA-UC5G1T USB to 5GbE Adapter

The AQC111U and AQC112U contain an integrated Multi-Gig Ethernet MAC and PHY, supporting 100, 1000, 2500 and, in the AQC111U, 5000Mbps operation.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), mii(4), netintro(4), uhub(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The uaq device driver first appeared in OpenBSD 7.0.

AUTHORS
The uaq driver was written by Jonathan Matthew <jmatthew@openbsd.org>.